Skip to content

Create New Resource

Request

Create a new manufacturing resource.

Security
BearerAuth
Headers
Acceptstring(ManufacturingResourceAcceptHeader)required

Set this to application/api.luminovo.manufacturing.resource-v1+json.

Value:"application/api.luminovo.manufacturing.resource-v1+json"
Bodyapplication/jsonrequired
namestringrequired
internal_numberstring or null
typestring(types.manufacturing.resource.v1.ResourceType)required
Enum:"Machine""Person"
cost_per_hourobject(MonetaryValue)required

A monetary value: an exact decimal amount plus its currency.

Example: {"amount": "12.50", "currency": "EUR"} means "12.50 euros".

Example:
{ "amount": "12.50", "currency": "EUR" }
descriptionstring or null
site_idnull or SiteId (string)
One of:
null
POST
/manufacturing/resource
curl -i -X POST \
  https://api.luminovo.com/manufacturing/resource \
  -H 'Accept: application/api.luminovo.manufacturing.resource-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "internal_number": "string",
    "type": "Machine",
    "cost_per_hour": {
      "amount": "12.50",
      "currency": "EUR"
    },
    "description": "string",
    "site_id": null
  }'

Responses

Successful response

Bodyapplication/json
idstring, (uuid)required
namestringrequired
internal_numberstring or null
descriptionstring or null
typestring(types.manufacturing.resource.v1.ResourceType)required
Enum:"Machine""Person"
cost_per_hourobject(types.primitives.monetary_value.v1.ConvertedMonetaryValue)required
statusstring(types.manufacturing.v1.ManufacturingEntityStatus)required
Enum:"Active""Inactive"
site_idstring or null, (uuid)
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "internal_number": "string", "description": "string", "type": "Machine", "cost_per_hour": { "converted_mv": {} }, "status": "Active", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811" }